(****************************************************************************)
(*                 The Calculus of Inductive Constructions                  *)
(*                                                                          *)
(*                                Projet Coq                                *)
(*                                                                          *)
(*                     INRIA                        ENS-CNRS                *)
(*              Rocquencourt                        Lyon                    *)
(*                                                                          *)
(*                                 Coq V6.1                                 *)
(*                               Oct 1st 1996                               *)
(*                                                                          *)
(****************************************************************************)
(*                                PolyListSyntax.v                          *)
(****************************************************************************)

(* Syntax for list concatenation *)
Require PolyList.

Grammar command command7 :=
  append [ command6($l1) "^" command7($l2) ] -> [<<(app ? $l1 $l2)>>].

Syntax constr level 10:
  append [<<(app $_ $l $l')>>] -> [ [ <hov 0> $l:L [0 0] "^" $l':E ] ].


(* $Id: PolyListSyntax.v,v 1.5 1997/09/15 19:06:23 werner Exp $ *)
