(****************************************************************************)
(*                 The Calculus of Inductive Constructions                  *)
(*                                                                          *)
(*                                Projet Coq                                *)
(*                                                                          *)
(*                     INRIA                        ENS-CNRS                *)
(*              Rocquencourt                        Lyon                    *)
(*                                                                          *)
(*                                 Coq V6.1                                 *)
(*                               Oct 1st 1996                               *)
(*                                                                          *)
(****************************************************************************)
(*                                 Arith.v                                  *)
(****************************************************************************)
Require Export Le.
Require Export Lt.
Require Export Plus.
Require Export Gt.
Require Export Minus.
Require Export Mult.
Require Export Between.
Declare ML Module "g_natsyntax".

Grammar nat number :=.

Grammar command command10 :=
  natural_nat [ nat:number($c) ] -> [$c]
.

Syntax constr
  level 10:
  S [<<(S $p)>>] -> [$p:"nat_printer"]
| O [<<O>>] -> [ "0" ]
.

(* $Id: Arith.v,v 1.3 1997/11/25 14:00:10 loiseleu Exp $ *)
